%define name biloba
%define version 0.4
%define release %mkrel 7

Summary: A tactical board game
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://osdn.dl.sourceforge.net/sourceforge/biloba/%{name}-%{version}.tar.bz2
License: GPL
Group:  Games/Boards
Url: 	http://biloba.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: SDL_image-devel
BuildRequires: SDL-devel
BuildRequires: ImageMagick
BuildRequires: SDL_mixer-devel 
%description
Biloba is a very innovative tactical board game. 
It can be played by 2, 3 or 4 players and against the computer (IA). 
After installing the game you will be able to play on the same computer or 
online against your opponents.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# install menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
iComment=A tactical board game
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Boards;Game;BoardGame;
EOF

# install icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
cp %{name}_icon.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -scale 32x32 %{name}_icon.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -scale 16x16 %{name}_icon.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif


%files
%defattr(-,root,root)
%{_bindir}/biloba
%{_datadir}/biloba
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_datadir}/applications/mandriva-biloba.desktop




%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-7mdv2009.0
+ Revision: 243285
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.4-5mdv2008.1
+ Revision: 135829
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Sep 01 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-01 17:02:16 (59381)
- Fix File List

* Fri Sep 01 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-01 14:55:27 (59330)
- XDG

* Thu Aug 03 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 09:44:11 (43092)
- import biloba-0.4-3mdk

* Tue Dec 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-3mdk
- Fix file section

* Mon Oct 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-2mdk
- Fix BuildRequires now they are x86_64 friendly

* Mon Oct 17 2005 Erwan Velu <erwan@seanodes.com> 0.4-1mdk
- 0.4

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-3mdk
- Fix BuildRequires

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-2mdk
- Fix menu entry  group != menu

* Tue Sep 27 2005 Erwan Velu <erwan@seanodes.com> 0.3-1mdk
- 0.3
- Adding menu entry

* Fri Sep 23 2005 Erwan Velu <erwan@seanodes.com> 0.2-1mdk
- initial release

